<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hrm',

    /*
     * Package.
     */
    'package'   => 'customer',

    /*
     * Modules.
     */
    'modules'   => ['customer', 
'call', 
'status'],

    'customer'       => [
        'model' => [
            'model'                 => \Hrm\Customer\Models\Customer::class,
            'table'                 => 'customers',
            'presenter'             => \Hrm\Customer\Repositories\Presenter\CustomerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'referel_id',  'assignee_id',  'call_status',  'name',  'email',  'sex',  'dob',  'designation',  'mobile',  'phone',  'address',  'street',  'city',  'district',  'state',  'country',  'photo',  'web',  'status',  'notes',  'email_verified_at',  'user_id',  'user_type',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'customer/customer',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Customer',
            'module'    => 'Customer',
        ],

    ],

    'call'       => [
        'model' => [
            'model'                 => \Hrm\Customer\Models\Call::class,
            'table'                 => 'calls',
            'presenter'             => \Hrm\Customer\Repositories\Presenter\CallPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'customer_id',  'status_id',  'type',  'contact_time',  'notes',  'description',  'user_id',  'user_type',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'customer/call',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Customer',
            'module'    => 'Call',
        ],

    ],

    'status'       => [
        'model' => [
            'model'                 => \Hrm\Customer\Models\Status::class,
            'table'                 => 'statuses',
            'presenter'             => \Hrm\Customer\Repositories\Presenter\StatusPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'description',  'order',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'customer/status',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Customer',
            'module'    => 'Status',
        ],

    ],
];
