<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCallsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: calls
         */
        Schema::create('calls', function ($table) {
            $table->increments('id');
            $table->integer('customer_id')->nullable();
            $table->integer('status_id')->nullable();
            $table->enum('type', ['call','sms','whatsapp'])->nullable();
            $table->timestamp('contact_time')->nullable();
            $table->text('notes')->nullable();
            $table->text('description')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('calls');
    }
}
