<?php

// API routes  for customer
Route::prefix('{guard}/customer')->group(function () {
    Route::get('customer/form/{element}', 'CustomerAPIController@form');
    Route::resource('customer', 'CustomerAPIController');
});

// Public routes for customer
Route::get('customers/', 'CustomerPublicController@index');
Route::get('customers/{slug?}', 'CustomerPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for customers
            Route::prefix('{guard}/customer')->group(function () {
                Route::get('customer/form/{element}', 'CustomerAPIController@form');
                Route::apiResource('customer', 'CustomerAPIController');
            });
            // Public routes for customers
            Route::get('customer/Customer', 'CustomerPublicController@getCustomer');
        }
    );
}


// API routes  for call
Route::prefix('{guard}/customer')->group(function () {
    Route::get('call/form/{element}', 'CallAPIController@form');
    Route::resource('call', 'CallAPIController');
});

// Public routes for call
Route::get('customers/', 'CallPublicController@index');
Route::get('customers/{slug?}', 'CallPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for customers
            Route::prefix('{guard}/customer')->group(function () {
                Route::get('call/form/{element}', 'CallAPIController@form');
                Route::apiResource('call', 'CallAPIController');
            });
            // Public routes for customers
            Route::get('customer/Call', 'CallPublicController@getCall');
        }
    );
}


// API routes  for status
Route::prefix('{guard}/customer')->group(function () {
    Route::get('status/form/{element}', 'StatusAPIController@form');
    Route::resource('status', 'StatusAPIController');
});

// Public routes for status
Route::get('customers/', 'StatusPublicController@index');
Route::get('customers/{slug?}', 'StatusPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for customers
            Route::prefix('{guard}/customer')->group(function () {
                Route::get('status/form/{element}', 'StatusAPIController@form');
                Route::apiResource('status', 'StatusAPIController');
            });
            // Public routes for customers
            Route::get('customer/Status', 'StatusPublicController@getStatus');
        }
    );
}

