<?php

namespace Hrm\Customer\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Hrm\Customer\Interfaces\CallRepositoryInterface;

class CallPublicController extends BaseController
{
    // use CallWorkflow;

    /**
     * Constructor.
     *
     * @param type \Hrm\Call\Interfaces\CallRepositoryInterface $call
     *
     * @return type
     */
    public function __construct(CallRepositoryInterface $call)
    {
        $this->repository = $call;
        parent::__construct();
    }

    /**
     * Show call's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $calls = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('customer::call.names'))
            ->view('customer::public.call.index')
            ->data(compact('calls'))
            ->output();
    }


    /**
     * Show call.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $call = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($call->name . trans('customer::call.name'))
            ->view('customer::public.call.show')
            ->data(compact('call'))
            ->output();
    }

}
