<?php

namespace Hrm\Customer\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Customer policy
        'Hrm\Customer\Models\Customer' => \Hrm\Customer\Policies\CustomerPolicy::class,
// Bind Call policy
        'Hrm\Customer\Models\Call' => \Hrm\Customer\Policies\CallPolicy::class,
// Bind Status policy
        'Hrm\Customer\Models\Status' => \Hrm\Customer\Policies\StatusPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
