<?php

namespace Hrm\Customer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CallTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Customer\Models\Call $call)
    {
        return [
            'id'                => $call->getRouteKey(),
            'key'               => [
                'public'    => $call->getPublicKey(),
                'route'     => $call->getRouteKey(),
            ], 
            'customer_id'       => $call->customer_id,
            'status_id'         => $call->status_id,
            'type'              => $call->type,
            'contact_time'      => $call->contact_time,
            'notes'             => $call->notes,
            'description'       => $call->description,
            'user_id'           => $call->user_id,
            'user_type'         => $call->user_type,
            'deleted_at'        => $call->deleted_at,
            'url'               => [
                'public'    => trans_url('customer/'.$call->getPublicKey()),
                'user'      => guard_url('customer/call/'.$call->getRouteKey()),
            ], 
            'status'            => trans('app.'.$call->status),
            'created_at'        => format_date($call->created_at),
            'updated_at'        => format_date($call->updated_at),
        ];
    }
}