<?php

namespace Hrm\Customer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CustomerTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Customer\Models\Customer $customer)
    {
        return [
            'id'                => $customer->getRouteKey(),
            'key'               => [
                'public'    => $customer->getPublicKey(),
                'route'     => $customer->getRouteKey(),
            ], 
            'referel_id'        => $customer->referel_id,
            'assignee_id'       => $customer->assignee_id,
            'call_status'       => $customer->call_status,
            'name'              => $customer->name,
            'email'             => $customer->email,
            'sex'               => $customer->sex,
            'dob'               => $customer->dob,
            'designation'       => $customer->designation,
            'mobile'            => $customer->mobile,
            'phone'             => $customer->phone,
            'address'           => $customer->address,
            'street'            => $customer->street,
            'city'              => $customer->city,
            'district'          => $customer->district,
            'state'             => $customer->state,
            'country'           => $customer->country,
            'photo'             => $customer->photo,
            'web'               => $customer->web,
            'notes'             => $customer->notes,
            'email_verified_at' => $customer->email_verified_at,
            'user_id'           => $customer->user_id,
            'user_type'         => $customer->user_type,
            'upload_folder'     => $customer->upload_folder,
            'deleted_at'        => $customer->deleted_at,
            'url'               => [
                'public'    => trans_url('customer/'.$customer->getPublicKey()),
                'user'      => guard_url('customer/customer/'.$customer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$customer->status),
            'created_at'        => format_date($customer->created_at),
            'updated_at'        => format_date($customer->updated_at),
        ];
    }
}